Bug 1624316 - oc cluster up doesn't work with dnsmasq running locally
Summary: oc cluster up doesn't work with dnsmasq running locally
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.11.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: 3.11.z
Assignee: Dan Mace
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-31 08:15 UTC by Tomáš Nožička
Modified: 2019-06-26 09:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-26 09:07:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/openshift origin pull 20688 None None None 2019-11-21 02:10:07 UTC
Red Hat Product Errata RHBA-2019:1605 None None None 2019-06-26 09:07:59 UTC

Description Tomáš Nožička 2018-08-31 08:15:53 UTC
Description of problem:

With oc cluster up, if you are running a dnsmasq locally (e.g. if using VPN to call the VPN's DNS only for queries in its domain) your cat /etc/resolv.conf looks like this

 # Generated by NetworkManager
search redhat.com
nameserver 127.0.0.1
copying this into the kube-dns container running on "different localhost" is pretty much pointless as the dns is not running in there but on the actual host where oc cluster up was run.

As that record is effectively unusable, oc cluster up can do best effort work of replacing it with a public IP, the openshift cluster is configured with. User can specify --public-hostname flag to influence this and give us a hint.

Fix is here: https://github.com/openshift/origin/pull/20688

Comment 1 Sudha Ponnaganti 2019-04-05 14:53:04 UTC
Pl validate in 4.1

Comment 2 Dan Mace 2019-04-05 15:20:21 UTC
No objection to taking a patch for 4.1, but I don't think this is a blocker. I adjusted the priority/severity to low to try and indicate that — if I should have changed just one or the other, please feel free to fix!

Comment 3 Tomáš Nožička 2019-04-08 13:27:35 UTC
there is no `oc cluster up` in 4.1 anymore, this was reported and fixed for 3.11

  https://github.com/openshift/origin/pull/20688/commits/ce1a39d36db8efac6e033620bafffab8ecc4dfed

Comment 5 errata-xmlrpc 2019-06-26 09:07:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1605


Note You need to log in before you can comment on or make changes to this bug.